#include <iostream>
using namespace std;

int brojCifara(int broj){
	int rez = 0;
	while(broj != 0){
		broj /= 10; 
		rez++;
	}
	return rez;
}
string Sudari(int a, int b){
	int cifraa, cifrab;
	string rez="";
	while(b != 0){
			cifraa = a%10; 
			cifrab = b%10;
			a/=10;
			b/=10;
			if(cifraa > cifrab)
				rez+=to_string(cifraa);
			else if(cifrab > cifraa) 
					rez+=to_string(cifrab);
			else{
				rez+=to_string(cifraa);
				rez+=to_string(cifraa);
            }
			
		}
		while(a != 0){
			rez+=to_string(cifraa);
			a/=10;
		}
		return rez;
}
void Obrni(string& str)
{
    int n = str.length();
 
    for (int i = 0; i < n / 2; i++)
        swap(str[i], str[n - i - 1]);
}
int main(){
	int a, b;
	cin >> a >> b;
	string rez;
	int brojcifaraa = brojCifara(a);
	int brojcifarab = brojCifara(b);
	if(brojcifaraa > brojcifarab)
		rez = Sudari(a,b);
	else
		rez = Sudari(b,a);
	Obrni(rez);
	cout << rez;
}